Subject: [alto] TR: New Version Notification for draft-randriamasy-alto-multi-cost-08.txt

From: "RANDRIAMASY, SABINE (SABINE)" <[email-masked]>
Date: Fri, 4 Jul 2014 17:24:11 +0000

Hi all,

We have submitted a draft entitled "Multi-Cost ALTO". This is a -08 document.  

OUTLINE
This draft is an update of previous versions that propose ALTO protocol extensions to support transactions carrying multiple cost metrics, together with a set of abstracted TE related metrics such as “Endpoint occupation cost” or “path occupation cost”. The drafts also proposes protocol extensions enabling filtering constraints on multiple metrics as well as on multiple logical operators (AND and OR).

Any feedback and discussion on this work is welcome,
Best regards
Sabine

>>-----Message d'origine-----
>>De : [email-masked] [mailto:[email-masked]]
>>Envoyé : vendredi 4 juillet 2014 17:59
>>À : Nico Schwan; RANDRIAMASY, SABINE (SABINE); RANDRIAMASY, SABINE
>>(SABINE); ROOME, Wendy D (Wendy); Nico Schwan; ROOME, Wendy D (Wendy)
>>Objet : New Version Notification for draft-randriamasy-alto-multi-cost-
>>08.txt
>>
>>
>>A new version of I-D, draft-randriamasy-alto-multi-cost-08.txt
>>has been successfully submitted by Sabine Randriamasy and posted to the
>>IETF repository.
>>
>>Name:		draft-randriamasy-alto-multi-cost
>>Revision:	08
>>Title:		Multi-Cost ALTO
>>Document date:	2014-07-04
>>Group:		Individual Submission
>>Pages:		35
>>URL:            http://www.ietf.org/internet-drafts/draft-randriamasy-
>>alto-multi-cost-08.txt
>>Status:         https://datatracker.ietf.org/doc/draft-randriamasy-
>>alto-multi-cost/
>>Htmlized:       http://tools.ietf.org/html/draft-randriamasy-alto-
>>multi-cost-08
>>Diff:           http://www.ietf.org/rfcdiff?url2=draft-randriamasy-
>>alto-multi-cost-08
>>
>>Abstract:
>>   IETF is designing a new service called ALTO (Application Layer
>>   traffic Optimization) that includes a "Network Map Service", an
>>   "Endpoint Cost Service" and an "Endpoint (EP) Ranking Service" and
>>   thus incentives for application clients to connect to ISP preferred
>>   Endpoints.  These services provide a view of the Network Provider
>>   (NP) topology to overlay clients.
>>
>>   The present draft proposes a simple way to extend the information
>>   provided by the current ALTO protocol in two ways.  First, including
>>   information on multiple Cost Types in a single ALTO transaction
>>   provides a better mapping of the Selected Endpoints to needs of the
>>   growing diversity of Content and Resources Networking Applications
>>   and to the network conditions.  Second, one ALTO query and response
>>   exchange on N Cost Types is faster and more efficient than N single
>>   cost transactions.  All this also helps producing a faster and more
>>   robust choice when multiple Endpoints need to be selected.  Last,
>>the
>>   draft proposes to enrich the filtering capabilities by allowing
>>   constraints involving several metrics combined by several types of
>>   logical operators.  This allows the applications to set finer
>>   requirements and above all to include compromises on those
>>   requirements.
>>
>>
>>
>>
>>
>>Please note that it may take a couple of minutes from the time of
>>submission until the htmlized version and diff are available at
>>tools.ietf.org.
>>
>>The IETF Secretariat